> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Find Available Pickup Options

POST https://api.bigcommerce.com/stores/{store_hash}/v3/pickup/options
Content-Type: application/json

Returns up to 10 available pickup options for the requested items around a radius of the provided search coordinates. 

The pickup options returned only include options where all requested items are available and can be picked up from a single location.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/pickup/pickup-options/post-pickup-options

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Order Fulfillment | read-only | `store_order_fulfillment_read_only` | | Order Fulfillment | modify | `store_order_fulfillment_manage` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts). For more about BigCommerce OAuth scopes, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

### Body (application/json)

This endpoint expects a PickupRequestPayload.

- `search_area` (SearchArea, required) — Area where you are searching for pickup options.
- `items` (list of Item, required) — Items you include in your search for pickup options.

## Response

### 200

The request has been successfully processed.

- `results` (list of PickupOptionsResponseResultsItems, optional)

## Types

### SearchArea

Area where you are searching for pickup options.

- `radius` (SearchAreaRadius, required) — Radius around the coordinates where you are searching for pickup options.
- `coordinates` (Coordinates, optional) — Coordinates where you are searching for pickup options.

### Item

- `variant_id` (integer, required)
- `quantity` (integer, required)

### PickupOptionsResponseResultsItems

- `pickup_options` (list of PickupOption, optional) — Pickup options for the available items.

### SearchAreaRadius

Radius around the coordinates where you are searching for pickup options.

- `value` (integer, required)
- `unit` (enum, required)
  - Allowed values: `KM`, `MI`

### Coordinates

Coordinates where you are searching for pickup options.

- `latitude` (double, required)
- `longitude` (double, required)

### PickupOption

- `pickup_method` (PickupMethod, optional) — Pickup method that can be used with the available items.
- `available_items` (list of AvailableItem, optional) — Items that are available using the pickup method.

### PickupMethod

Pickup method that can be used with the available items.

- `id` (integer, optional)
- `location_id` (integer, optional)
- `display_name` (string, optional)
- `collection_instructions` (string, optional)
- `collection_time_description` (string, optional)

### AvailableItem

- `variant_id` (integer, optional)
- `quantity` (integer, optional)

## Examples

**Request**

```json
{
  "search_area": {
    "radius": {
      "value": 10,
      "unit": "KM"
    }
  },
  "items": [
    {
      "variant_id": 24,
      "quantity": 98
    }
  ]
}
```

**Response**

```json
{
  "results": [
    {
      "pickup_options": [
        {
          "pickup_method": {
            "id": 1,
            "location_id": 2,
            "display_name": "Office Pickup!",
            "collection_instructions": "Bring your ID!",
            "collection_time_description": "Collect during our opening hours of 0900 - 1700"
          },
          "available_items": [
            {
              "variant_id": 55,
              "quantity": 12
            }
          ]
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/pickup/options"

payload = {
    "search_area": { "radius": {
            "value": 10,
            "unit": "KM"
        } },
    "items": [
        {
            "variant_id": 24,
            "quantity": 98
        }
    ]
}
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/pickup/options';
const options = {
  method: 'POST',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"search_area":{"radius":{"value":10,"unit":"KM"}},"items":[{"variant_id":24,"quantity":98}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/pickup/options"

	payload := strings.NewReader("{\n  \"search_area\": {\n    \"radius\": {\n      \"value\": 10,\n      \"unit\": \"KM\"\n    }\n  },\n  \"items\": [\n    {\n      \"variant_id\": 24,\n      \"quantity\": 98\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/pickup/options")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"search_area\": {\n    \"radius\": {\n      \"value\": 10,\n      \"unit\": \"KM\"\n    }\n  },\n  \"items\": [\n    {\n      \"variant_id\": 24,\n      \"quantity\": 98\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.bigcommerce.com/stores/store_hash/v3/pickup/options")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"search_area\": {\n    \"radius\": {\n      \"value\": 10,\n      \"unit\": \"KM\"\n    }\n  },\n  \"items\": [\n    {\n      \"variant_id\": 24,\n      \"quantity\": 98\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.bigcommerce.com/stores/store_hash/v3/pickup/options', [
  'body' => '{
  "search_area": {
    "radius": {
      "value": 10,
      "unit": "KM"
    }
  },
  "items": [
    {
      "variant_id": 24,
      "quantity": 98
    }
  ]
}',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/pickup/options");
var request = new RestRequest(Method.POST);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"search_area\": {\n    \"radius\": {\n      \"value\": 10,\n      \"unit\": \"KM\"\n    }\n  },\n  \"items\": [\n    {\n      \"variant_id\": 24,\n      \"quantity\": 98\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "search_area": ["radius": [
      "value": 10,
      "unit": "KM"
    ]],
  "items": [
    [
      "variant_id": 24,
      "quantity": 98
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/pickup/options")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```